Add contact to Campaign

http
POST https://services.leadconnectorhq.com/contacts/{contactId}/campaigns/{campaignId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
contactIdstringYes3bZD1nQzbul0MCancbQDContact Id
campaignIdstringYesY2I9XM7aO1hncuSOlc9LCampaigns Id

Body

Responses

201 - Successful response
  • succeded (boolean): Example: True

json
{
  "succeded": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/campaigns/YOUR_campaignId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{}'

Last updated October 26, 2026

Was this page helpful?